# FalseSSH

FalseSSH is a Dockerized SSH server intended for running a SOCKS5 proxy based on SSH. 

## Usage

Create a container with the following command:

```bash
docker build -t falsessh .
docker run -d --name falsessh -p 22:2269
```

Try SSHing into the container. 
```bash
    ssh user@localhost -p 2269
```

Change the password immediately.
```bash
    passwd
```

Port forward the SOCKS5 proxy to your local machine.
```bash
    ssh -D 1080 -p 2269 user@localhost
```

Then you can configure your browser to use the SOCKS5 proxy on localhost:1080.

You can also port-forward the SSH server from your home network to access the proxy remotely, like if you want to bypass school restrictions.

To connect if you're doing above, run this:
```bash
    ssh -D 1080 -p 2269 user@<your home network IP>
```

You can then configure your browser to run the SOCKS5 proxy on localhost:1080. Have fun!